Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queries.function
Class FunctionQuery.AllScorer

    java.lang.Object
      org.apache.lucene.search.DocIdSetIterator
          org.apache.lucene.index.DocsEnum
              org.apache.lucene.search.Scorer
                  org.apache.lucene.queries.function.FunctionQuery.AllScorer

Enclosing class:
  FunctionQuery

    protected class FunctionQuery.AllScorer

extends Scorer

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.Scorer
`Scorer.ChildScorer`

Field Summary

Fields inherited from class org.apache.lucene.index.DocsEnum
`FLAG_FREQS, FLAG_NONE`

Fields inherited from class org.apache.lucene.search.DocIdSetIterator
`NO_MORE_DOCS`

Constructor Summary
`FunctionQuery.AllScorer(AtomicReaderContext context, Bits acceptDocs, FunctionQuery.FunctionWeight w, float qWeight)`

Method Summary
`int` | `advance(int target)`
`long` | `cost()`
`int` | `docID()`
`Explanation` | `explain(int doc)`
`int` | `freq()`
`int` | `nextDoc()`
`float` | `score()`

Methods inherited from class org.apache.lucene.search.Scorer
`getChildren, getWeight, score, score`

Methods inherited from class org.apache.lucene.index.DocsEnum
`attributes`

Methods inherited from class org.apache.lucene.search.DocIdSetIterator
`slowAdvance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionQuery.AllScorer

    public FunctionQuery.AllScorer(AtomicReaderContext context,
                                   Bits acceptDocs,
                                   FunctionQuery.FunctionWeight w,
                                   float qWeight)
                            throws IOException

Throws:
  `IOException`

Method Detail

### docID

    public int docID()

  Specified by:
    `docID` in class `DocIdSetIterator`

### nextDoc

    public int nextDoc()
                throws IOException

  Specified by:
    `nextDoc` in class `DocIdSetIterator`
  Throws:
    `IOException`

### advance

    public int advance(int target)
                throws IOException

  Specified by:
    `advance` in class `DocIdSetIterator`
  Throws:
    `IOException`

### score

    public float score()
                throws IOException

  Specified by:
    `score` in class `Scorer`
  Throws:
    `IOException`

### cost

    public long cost()

  Specified by:
    `cost` in class `DocIdSetIterator`

### freq

    public int freq()
             throws IOException

  Specified by:
    `freq` in class `DocsEnum`
  Throws:
    `IOException`

### explain

    public Explanation explain(int doc)
                        throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.